Package org.eclipse.emf.cdo.spi.server

# Class RepositoryConfigurator.Factory.Default

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory
org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory.Default

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  RepositoryConfigurator.Factory

public static final class RepositoryConfigurator.Factory.Default extends RepositoryConfigurator.Factory

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

`RepositoryConfigurator.Factory.Default`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Default()`

## Method Summary

Modifier and Type
Method
Description
`RepositoryConfigurator`
`create(org.eclipse.net4j.util.container.IManagedContainer container, String description)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

`create, setManagedContainer`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### Default

public Default()

## Method Details

### create

public RepositoryConfigurator create(org.eclipse.net4j.util.container.IManagedContainer container, String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in class `RepositoryConfigurator.Factory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`